CheckoutRefund

Retrieve a Refund

GET
/openapi/v1/payment-intents/{paymentIntentId}/refunds/{refundId}

Retrieves refund details by Refund ID. The refund must belong to the Payment Intent in the path. Otherwise, the request is handled as "not found".

Authorization

bearerAuth
headerAuthorizationBearer <token>

The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.

Path Parameters

paymentIntentId*string

Payment Intent ID, such as pi_MNOL0POUV8IDPXCD

refundId*string

Refund ID, such as re_IFWNVQP0O6EHB6KV

Response Body

Returns the Refund object.

application/json
  1. response
code?integer

Business status code

message?string
traceId?string

Request trace ID. Provide it when you contact technical support

data?

The Refund object.

Example Request
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payment-intents/string/refunds/string'
Example Response
{  "code": 200,  "message": "OK",  "traceId": "6a0190c46101992e3a3a6ffc70be7b0a",  "data": {    "refundId": "re_IFWNVQP0O6EHB6KV",    "paymentIntentId": "pi_TZA3DEDJUNZLTUJ2",    "amount": "10.00",    "currency": "USD",    "status": "COMPLETED",    "reason": "REQUESTED_BY_CUSTOMER",    "notes": "Customer requested a partial refund.",    "metadata": {},    "createdAt": "2026-05-11T17:18:41+08:00",    "completedAt": "2026-05-11T18:02:10+08:00"  }}